GetAttributeTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.GetAttributeTag,GetAttributeTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class GetAttributeTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.GetAttributeTag

All Implemented Interfaces:
  ComponentConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class GetAttributeTag
extends javax.servlet.jsp.tagext.TagSupport
implements ComponentConstants

Retrieve the value of the specified component/template attribute property, and render it to the current JspWriter as a String. The usual toString() conversion is applied on the found value.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `attribute`
`private boolean` | `isErrorIgnored` Do we ignore error if attribute is not found.
`private java.lang.String` | `role` Role attribute

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface org.apache.struts.taglib.tiles.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetAttributeTag()` Default constructor.

Method Summary
`int` | `doEndTag()` Close tag.
`java.lang.String` | `getAttribute()` Get attribute.
`boolean` | `getIgnore()` Get ignore flag.
`java.lang.String` | `getName()` Get Name.
`java.lang.String` | `getRole()` Get role.
`void` | `release()` Release all allocated resources.
`void` | `setAttribute(java.lang.String attribute)` Set attribute.
`void` | `setIgnore(boolean ignore)` Set ignoring flag when attribute is not found.
`void` | `setName(java.lang.String value)` Set Name.
`void` | `setRole(java.lang.String role)` Set role.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute

    private java.lang.String attribute

### role

    private java.lang.String role

  Role attribute

### isErrorIgnored

    private boolean isErrorIgnored

  Do we ignore error if attribute is not found. Default value is `false`, which will throw an exception.

Constructor Detail

### GetAttributeTag

    public GetAttributeTag()

  Default constructor.

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Set attribute.

  Parameters:
    `attribute` - Attribute.

### getAttribute

    public java.lang.String getAttribute()

  Get attribute.

  Returns:
    Attribute.

### setName

    public void setName(java.lang.String value)

  Set Name. Same as setAttribute().

  Parameters:
    `value` - Attribute.

### getName

    public java.lang.String getName()

  Get Name. Set as getAttribute().

  Returns:
    Attribute.

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignoring flag when attribute is not found.

  Parameters:
    `ignore` - default: `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### getIgnore

    public boolean getIgnore()

  Get ignore flag.

  Returns:
    `false`: Exception is thrown when attribute is not found, set to `true` to ignore missing attributes silently

### setRole

    public void setRole(java.lang.String role)

  Set role.

  Parameters:
    `role` - The role the user must be in to store content.

### getRole

    public java.lang.String getRole()

  Get role.

  Returns:
    Role.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Close tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - On error processing tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation